org.apache.lucene.analysis.ru

## Class RussianStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.ru.RussianStemFilter

-     public final class RussianStemFilter
      extends TokenFilter

  A `TokenFilter` that stems Russian words.

  The implementation was inspired by GermanStemFilter. The input should be filtered by `RussianLowerCaseFilter` before passing it to RussianStemFilter , because RussianStemFilter only works with lowercase part of any "russian" charset.

  Version:
    $Id: RussianStemFilter.java 808427 2009-08-27 14:28:22Z hossman $

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RussianStemFilter(TokenStream in)`
    `RussianStemFilter(TokenStream in, char[] charset)` Deprecated. Use `RussianStemFilter(TokenStream)` instead.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()` Returns the next token in the stream, or null at EOS
    `void` | `setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)` Set a alternative/custom `RussianStemmer` for this filter.

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RussianStemFilter

          public RussianStemFilter(TokenStream in,
                                   char[] charset)

      Deprecated. Use `RussianStemFilter(TokenStream)` instead.

    - #### RussianStemFilter

          public RussianStemFilter(TokenStream in)

  - ### Method Detail

    - #### incrementToken

          public final boolean incrementToken()
                                       throws java.io.IOException

      Returns the next token in the stream, or null at EOS
      Overrides:
        `incrementToken` in class `TokenStream`
      Returns:
        false for end of stream; true otherwise

        Note that this method will be defined abstract in Lucene 3.0.

      Throws:
        `java.io.IOException`

    - #### setStemmer

          public void setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)

      Set a alternative/custom `RussianStemmer` for this filter.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.